@ECHO off
REM ****************************************************************
REM *   Copyright 2014, David Knarr, Studio 1 Productions
REM *   http://www.studio1productions.com
REM *   Version 5.5 Version Date 06/22/2014
REM *   Updated for CC 2014
REM *   This program is Free, No Charge, Costs Nothing...
REM ****************************************************************

REM     Display Main Menu
COLOR 17
:Main
::
REM     Set locations
SET KEY="..\twitch_ae\twitch_ae.key"
SET TWITCH="..\twitch_v1.2_pc_x86_x64\Twitch for Windows\64-bit Plugin"
::
:: Premiere CS5 Directory
SET PREDIR="C:\Program Files\Adobe\Adobe Premiere Pro CS5"
SET CS55PREDIR="C:\Program Files\Adobe\Adobe Premiere Pro CS5.5"
SET CS6PREDIR="C:\Program Files\Adobe\Adobe Premiere Pro CS6"
SET CCPREDIR="C:\Program Files\Adobe\Adobe Premiere Pro CC"
SET CC4PREDIR="C:\Program Files\Adobe\Adobe Premiere Pro CC 2014"

SET PRESET="..\twitch_recompile\twitch_recompile\AE Twitch Presets"
::
:: After Effects Directory

SET AEDIR="C:\Program Files\Adobe\Adobe After Effects CS5"
SET CS55AEDIR="C:\Program Files\Adobe\Adobe After Effects CS5.5"
SET CS6AEDIR="C:\Program Files\Adobe\Adobe After Effects CS6"
SET CCAEDIR="C:\Program Files\Adobe\Adobe After Effects CC"
SET CC4AEDIR="C:\Program Files\Adobe\Adobe After Effects CC 2014"

SET AE5LOC="C:\Program Files\Adobe\Adobe After Effects CS5\Support Files\AfterFX.exe"
SET AELOC55="C:\Program Files\Adobe\Adobe After Effects CS5.5\Support Files\AfterFX.exe"
SET AELOC6="C:\Program Files\Adobe\Adobe After Effects CS6\Support Files\AfterFX.exe"
SET AELOCCC="C:\Program Files\Adobe\Adobe After Effects CC\Support Files\AfterFX.exe"
SET AELOCCC4="C:\Program Files\Adobe\Adobe After Effects CC 2014\Support Files\AfterFX.exe"

SET AECS5="C:\Program Files\Adobe\Adobe After Effects CS5\Support Files\Presets\AE Twitch Presets"
SET CS55AE="C:\Program Files\Adobe\Adobe After Effects CS5.5\Support Files\Presets\AE Twitch Presets"
SET CS6AE="C:\Program Files\Adobe\Adobe After Effects CS6\Support Files\Presets\AE Twitch Presets"
SET CCAE="C:\Program Files\Adobe\Adobe After Effects CC\Support Files\Presets\AE Twitch Presets"
SET CC4AE="C:\Program Files\Adobe\Adobe After Effects CC 2014\Support Files\Presets\AE Twitch Presets"

SET MediaCore="C:\Program Files\Adobe\Common\Plug-ins\CS5\MediaCore\Twitch"
SET CS55MediaCore="C:\Program Files\Adobe\Common\Plug-ins\CS5.5\MediaCore\Twitch"
SET CS6MediaCore="C:\Program Files\Adobe\Common\Plug-ins\CS6\MediaCore\Twitch"
SET CCMediaCore="C:\Program Files\Adobe\Common\Plug-ins\CC\MediaCore\Twitch"
SET CC4MediaCore="C:\Program Files\Adobe\Common\Plug-ins\CC 2014\MediaCore\Twitch"

SET CS5Preset="C:\Program Files\Adobe\Adobe Premiere Pro CS5\Presets"
SET CS55Preset="C:\Program Files\Adobe\Adobe Premiere Pro CS5.5\Presets"
SET CS6Preset="C:\Program Files\Adobe\Adobe Premiere Pro CS6\Presets"
SET CCPreset="C:\Program Files\Adobe\Adobe Premiere Pro CC\Presets"
SET CC4Preset="C:\Program Files\Adobe\Adobe Premiere Pro CC 2014\Presets"
::
CLS
ECHO                      Twitch.BAT -- Main Menu
ECHO       Program Version 5.5 -- 06/22/14 For Windows 7 64bit Only
ECHO.
ECHO         Premiere and/or After Effects must be installed in the
ECHO               Adobe's defaulty directory on the C: drive.
ECHO       This program allows you to install Twitch from Video Copilot
ECHO.
ECHO   Please select the version of Premiere or After Effects you are using.
ECHO                     1) Premiere or After Effects CS5
ECHO.
ECHO                     2) Premiere or After Effects CS5.5
ECHO.
ECHO                     3) Premiere or After Effects CS6
ECHO.
ECHO                     4) Premiere or After Effects CC
ECHO.
ECHO                     5) Premiere or After Effects CC 2014
ECHO.     
ECHO                     6) Exit this Program
ECHO.
::
CHOICE /C 123456 /M "Enter your Choice 1, 2, 3, 4, 5 or 6" /N
::
IF ERRORLEVEL 6  GOTO End
IF ERRORLEVEL 5  GOTO CC4
IF ERRORLEVEL 4  GOTO CC
IF ERRORLEVEL 3  GOTO CS6
IF ERRORLEVEL 2  GOTO CS55
IF ERRORLEVEL 1  GOTO CS5
::
REM ***************************************************************************

:: Sub Menus
::
:: Menu for CS5 Install
:CS5
CLS
ECHO.
ECHO.
ECHO       Install Twitch into Premiere CS5 or After Effects CS5
ECHO.
ECHO         1) Install Twitch into Adobe Premiere Pro CS5
ECHO.       
ECHO         2) Install Twitch Presets for Premiere CS5
ECHO.
ECHO         3) Install and Presets into After Effects CS5
ECHO.
ECHO         4) Return to Main Menu
ECHO.
CHOICE /C 1234 /M "Enter your Choice 1, 2, 3 or 4" /N
::
IF ERRORLEVEL 4  GOTO Main
IF ERRORLEVEL 3  GOTO AE64
IF ERRORLEVEL 2  GOTO PRESET5
IF ERRORLEVEL 1  GOTO Premiere
::
REM ***************************************************************************
::
:: Menu for CS5.5 Install
:CS55
CLS
ECHO.
ECHO.
ECHO      Install Twitch into Premiere CS5.5 or After Effects CS5.5
ECHO.
ECHO        1) Install Twitch into Adobe Premiere Pro CS5.5
ECHO.
ECHO        2) Install Twitch Presets for Premiere CS5.5
ECHO.
ECHO        3) Install and Presets into After Effects CS5.5
ECHO.
ECHO        4) Return to Main Menu
ECHO.
CHOICE /C 1234 /M "Enter your Choice 1, 2, 3 or 4" /N
::
IF ERRORLEVEL 4  GOTO Main
IF ERRORLEVEL 3  GOTO AECS55
IF ERRORLEVEL 2  GOTO PSETCS55
IF ERRORLEVEL 1  GOTO PremCS55
::
REM ***************************************************************************
:: Menu for CS6 Install
:CS6
CLS
ECHO.
ECHO.
ECHO      Install Twitch into Premiere CS6 or After Effects CS6
ECHO.
ECHO        1) Install Twitch into Adobe Premiere Pro CS6
ECHO.
ECHO        2) Install Twitch Presets for Premiere CS6
ECHO.
ECHO        3) Install and Presets into After Effects CS6
ECHO.
ECHO        4) Return to Main Menu
ECHO.
CHOICE /C 1234 /M "Enter your Choice 1, 2, 3 or 4" /N
::
IF ERRORLEVEL 4  GOTO Main
IF ERRORLEVEL 3  GOTO AECS6
IF ERRORLEVEL 2  GOTO PSETCS6
IF ERRORLEVEL 1  GOTO PremCS6
::
REM ***************************************************************************
:: Menu for CC Install
:CC
CLS
ECHO.
ECHO.
ECHO      Install Twitch into Premiere CC or After Effects CC
ECHO.
ECHO        1) Install Twitch into Adobe Premiere Pro CC
ECHO.
ECHO        2) Install Twitch Presets for Premiere CC
ECHO.
ECHO        3) Install and Presets into After Effects CC
ECHO.
ECHO        4) Return to Main Menu
ECHO.
CHOICE /C 1234 /M "Enter your Choice 1, 2, 3 or 4" /N
::
IF ERRORLEVEL 4  GOTO Main
IF ERRORLEVEL 3  GOTO AECC
IF ERRORLEVEL 2  GOTO PSETCC
IF ERRORLEVEL 1  GOTO PremCC
::
REM ***************************************************************************
:: Menu for CC 2014 Install
:CC4
CLS
ECHO.
ECHO.
ECHO    Install Twitch into Premiere CC 2014 or After Effects CC 2014
ECHO.
ECHO        1) Install Twitch into Adobe Premiere Pro CC 2014
ECHO.
ECHO        2) Install Twitch Presets for Premiere CC 2014 
ECHO.
ECHO        3) Install and Presets into After Effects CC 2014
ECHO.
ECHO        4) Return to Main Menu
ECHO.
CHOICE /C 1234 /M "Enter your Choice 1, 2, 3 or 4" /N
::
IF ERRORLEVEL 4  GOTO Main
IF ERRORLEVEL 3  GOTO AECC4
IF ERRORLEVEL 2  GOTO PSETCC4
IF ERRORLEVEL 1  GOTO PremCC4
::
REM ***************************************************************************
::
::
REM       Install Twitch into Premiere Pro CS5 (Errorlevel 1 - Option 1)
::
:Premiere
REM     Check for CS5 Folder
IF not EXIST %PREDIR%\PProHeadless.exe  GOTO ERRORMSG1
REM       Make the directory for Twitch in MediaCore
MKDIR "C:\Program Files\Adobe\Common\Plug-ins\CS5\MediaCore\Twitch"
CLS
ECHO.
ECHO.
ECHO.
REM     Copy the 64bit plugin to the MediaCore\Twitch directory
REM     Copy the twitch_ae.key and twitch.aex to the Premiere Twitch directory
COPY /Y %KEY% %MediaCore%
::
:: Test to see if the file copied.
IF not EXIST %MediaCore%\twitch_ae.key  GOTO ERRORMSG1
COPY /Y %TWITCH%\twitch.aex %MediaCore%\twitch.aex
ECHO.
ECHO.
ECHO.
ECHO.
ECHO Twitch Has Been Installed for Adobe Premiere Pro CS5
ECHO.
ECHO.
ECHO.
PAUSE
REM       Return to Menu to selection another option or to exit.
GOTO CS5
::
::
REM ***************************************************************************
::
::
REM Install Twitch Preset into Premiere CS5 (ErrorLevel 2 Option 2
:PRESET5
CLS
IF not EXIST Twitch.prfpset  GOTO ERRORMSG2
COPY Twitch.prfpset %CS5Preset%\Twitch.prfpset /Y
IF not EXIST %CS5Preset%\Twitch.prfpset  GOTO ERROMSG3
ECHO.
ECHO.
ECHO.
ECHO The Twitch Presets from Studio 1 Productions has been Installed.
ECHO.
ECHO Now start up Premiere, go into a project and then in the lower right
ECHO corner and click on the Effects tab. You will see a folder marked
ECHO Presets. RIGHT Click on the Presets folder and select Import Preset.
ECHO Navigate to the C:\Program Files\Adobe\Adobe Premiere Pro CS5\Presets
ECHO folder and you will see Twitch.prfpset file. Click on Twitch.prfpset
ECHO and select open and the Twitch Presets will now be in the Presets
ECHO folder.
ECHO.
ECHO.
ECHO.
PAUSE
GOTO CS5
::
::
REM ***************************************************************************
::
::
REM Install Twitch into After Effects CS5 64bit 
:AE64
REM     Check for CS5 Folder
IF not EXIST %AE5LOC%  GOTO ERRORMSG1
REM     Make directory AE Twitch Presets in the Presets folder  
MKDIR %AECS5%
REM     Make directory in MediaCore for Twitch
MKDIR "C:\Program Files\Adobe\Common\Plug-ins\CS5\MediaCore\Twitch"
REM     Clear Screen
CLS
ECHO.
ECHO.
ECHO.
REM     Copy the 64bit plugin to the MediaCore\Twitch directory
REM     Copy the twitch_ae.key and twitch.aex to the MeidaCore\Twitch directory
COPY /Y %KEY% %MediaCore%
::
:: Test to see if the file copied.
IF not EXIST %MediaCore%\twitch_ae.key  GOTO ERRORMSG1
::
COPY %TWITCH%\twitch.aex %MediaCore%\twitch.aex /Y
REM     Copy the Presets 
XCOPY /e /q %PRESET% %AECS5% /y
ECHO.
ECHO.
ECHO.
ECHO.
ECHO Twitch Has Been Installed for After Effect CS5
ECHO.
ECHO.
ECHO.
PAUSE
REM       Return to Menu to selection another option or to exit.
GOTO CS5
::
::
REM ***************************************************************************
::
::
REM       Install Twitch into Premiere Pro CS5.5 
::
:PremCS55
REM     Check for CS5.5 Folder
IF not EXIST %CS55PREDIR%\PProHeadless.exe  GOTO ERRORMSG1
REM       Make the directory for Twitch in MediaCore
MKDIR "C:\Program Files\Adobe\Common\Plug-ins\CS5.5\MediaCore\Twitch"
CLS
ECHO.
ECHO.
ECHO.
REM     Copy the 64bit plugin to the MediaCore\Twitch directory
REM     Copy the twitch_ae.key and twitch.aex to the Premiere Twitch directory
COPY /Y %KEY% %CS55MediaCore%
::
:: Test to see if the file copied.
IF not EXIST %CS55MediaCore%\twitch_ae.key  GOTO ERRORMSG1
COPY /Y %TWITCH%\twitch.aex %CS55MediaCore%\twitch.aex
ECHO.
ECHO.
ECHO.
ECHO.
ECHO Twitch Has Been Installed for Adobe Premiere Pro CS5
ECHO.
ECHO.
ECHO.
PAUSE
REM       Return to Menu to selection another option or to exit.
GOTO CS55
::
::
REM ***************************************************************************
::
::
REM Install Twitch Preset into Premiere CS5.5 
:PSETCS55
CLS
IF not EXIST Twitch.prfpset  GOTO ERRORMSG2
COPY Twitch.prfpset %CS55Preset%\Twitch.prfpset /Y
IF not EXIST %CS55Preset%\Twitch.prfpset  GOTO ERROMSG4
ECHO.
ECHO.
ECHO.
ECHO The Twitch Presets from Studio 1 Productions has been Installed.
ECHO.
ECHO Now start up Premiere, go into a project and then in the lower right
ECHO corner and click on the Effects tab. You will see a folder marked
ECHO Presets. RIGHT Click on the Presets folder and select Import Preset.
ECHO Navigate to the C:\Program Files\Adobe\Adobe Premiere Pro CS5.5\Presets
ECHO folder and you will see Twitch.prfpset file. Click on Twitch.prfpset
ECHO and select open and the Twitch Presets will now be in the Presets
ECHO folder.
ECHO.
ECHO.
ECHO.
PAUSE
GOTO CS55
::
::
REM ***************************************************************************
::
::
REM Install Twitch into After Effects CS5.5 64bit (ErrorLevel 6 Option 6)
:AECS55
::
REM     Check for CS5.5 Folder
IF not EXIST %AELOC55%  GOTO ERRORMSG1
REM     Make directory AE Twitch Presets in the Presets folder  
MKDIR %CS55AE%
REM     Make directory in MediaCore for Twitch
MKDIR "C:\Program Files\Adobe\Common\Plug-ins\CS5.5\MediaCore\Twitch"
REM     Clear Screen
CLS
ECHO.
ECHO.
ECHO.
REM     Copy the 64bit plugin to the MediaCore\Twitch directory
REM     Copy the twitch_ae.key and twitch.aex to the MeidaCore\Twitch directory
COPY /Y %KEY% %CS55MediaCore%
::
:: Test to see if the file copied.
IF not EXIST %CS55MediaCore%\twitch_ae.key  GOTO ERRORMSG1
::
COPY /Y %TWITCH%\twitch.aex %CS55MediaCore%\twitch.aex
REM     Copy the Presets 
XCOPY /e /q %PRESET% %CS55AE% /y
ECHO.
ECHO.
ECHO.
ECHO.
ECHO Twitch Has Been Installed for After Effect CS5.5
ECHO.
ECHO.
ECHO.
PAUSE
REM       Return to Menu to selection another option or to exit.
GOTO CS55
::
::
REM ***************************************************************************
::
::
REM       Install Twitch into Premiere Pro CS6
::
:PremCS6
REM     Check for CS6 Folder
IF not EXIST %CS6PREDIR%\PProHeadless.exe  GOTO ERRORMSG1
REM       Make the directory for Twitch in MediaCore
MKDIR "C:\Program Files\Adobe\Common\Plug-ins\CS6\MediaCore\Twitch"
CLS
ECHO.
ECHO.
ECHO.
REM     Copy the 64bit plugin to the MediaCore\Twitch directory
REM     Copy the twitch_ae.key and twitch.aex to the Premiere Twitch directory
COPY /Y %KEY% %CS6MediaCore%
::
:: Test to see if the file copied.
IF not EXIST %CS6MediaCore%\twitch_ae.key  GOTO ERRORMSG1
COPY /Y %TWITCH%\twitch.aex %CS6MediaCore%\twitch.aex
ECHO.
ECHO.
ECHO.
ECHO.
ECHO Twitch Has Been Installed for Adobe Premiere Pro CS6
ECHO.
ECHO.
ECHO.
PAUSE
REM       Return to Menu to selection another option or to exit.
GOTO CS6
::
::
REM ***************************************************************************
::
::
REM Install Twitch Preset into Premiere CS6
:PSETCS6
CLS
IF not EXIST Twitch.prfpset  GOTO ERRORMSG2
COPY Twitch.prfpset %CS6Preset%\Twitch.prfpset /Y
IF not EXIST %CS6Preset%\Twitch.prfpset  GOTO ERROMSG5
ECHO.
ECHO.
ECHO.
ECHO The Twitch Presets from Studio 1 Productions has been Installed.
ECHO.
ECHO Now start up Premiere, go into a project and then in the lower right
ECHO corner and click on the Effects tab. You will see a folder marked
ECHO Presets. RIGHT Click on the Presets folder and select Import Preset.
ECHO Navigate to the C:\Program Files\Adobe\Adobe Premiere Pro CS6\Presets
ECHO folder and you will see Twitch.prfpset file. Click on Twitch.prfpset
ECHO and select open and the Twitch Presets will now be in the Presets
ECHO folder.
ECHO.
ECHO.
ECHO.
PAUSE
GOTO CS6
::
::
REM ***************************************************************************
::
::
REM Install Twitch into After Effects CS6
:AECS6
::
REM     Check for CS6 Folder
IF not EXIST %AELOC6%  GOTO ERRORMSG1
REM     Make directory AE Twitch Presets in the Presets folder  
MKDIR %CS6AE%
REM     Make directory in MediaCore for Twitch
MKDIR "C:\Program Files\Adobe\Common\Plug-ins\CS6\MediaCore\Twitch"
REM     Clear Screen
CLS
ECHO.
ECHO.
ECHO.
REM     Copy the 64bit plugin to the MediaCore\Twitch directory
REM     Copy the twitch_ae.key and twitch.aex to the MeidaCore\Twitch directory
COPY /Y %KEY% %CS6MediaCore%
::
:: Test to see if the file copied.
IF not EXIST %CS6MediaCore%\twitch_ae.key  GOTO ERRORMSG1
::
COPY /Y %TWITCH%\twitch.aex %CS6MediaCore%\twitch.aex
REM     Copy the Presets 
XCOPY /e /q %PRESET% %CS6AE% /y
ECHO.
ECHO.
ECHO.
ECHO.
ECHO Twitch Has Been Installed for After Effect CS6
ECHO.
ECHO.
ECHO.
PAUSE
REM       Return to Menu to selection another option or to exit.
GOTO CS6
::
::


REM ***************************************************************************
::
::
REM       Install Twitch into Premiere Pro CC
::
:PremCC
REM     Check for CC Folder
IF not EXIST %CCPREDIR%\PProHeadless.exe  GOTO ERRORMSG1
REM       Make the directory for Twitch in MediaCore
MKDIR "C:\Program Files\Adobe\Common\Plug-ins\CC\MediaCore\Twitch"
CLS
ECHO.
ECHO.
ECHO.
REM     Copy the 64bit plugin to the MediaCore\Twitch directory
REM     Copy the twitch_ae.key and twitch.aex to the Premiere Twitch directory
COPY /Y %KEY% %CCMediaCore%
::
:: Test to see if the file copied.
IF not EXIST %CCMediaCore%\twitch_ae.key  GOTO ERRORMSG1
COPY /Y %TWITCH%\twitch.aex %CCMediaCore%\twitch.aex
ECHO.
ECHO.
ECHO.
ECHO.
ECHO Twitch Has Been Installed for Adobe Premiere Pro CC
ECHO.
ECHO.
ECHO.
PAUSE
REM       Return to Menu to selection another option or to exit.
GOTO CC
::
::
REM ***************************************************************************
::
::
REM Install Twitch Preset into Premiere CC
:PSETCC
CLS
IF not EXIST Twitch.prfpset  GOTO ERRORMSG2
COPY Twitch.prfpset %CCPreset%\Twitch.prfpset /Y
IF not EXIST %CCPreset%\Twitch.prfpset  GOTO ERROMSG6
ECHO.
ECHO.
ECHO.
ECHO The Twitch Presets from Studio 1 Productions has been Installed.
ECHO.
ECHO Now start up Premiere, go into a project and then in the lower right
ECHO corner and click on the Effects tab. You will see a folder marked
ECHO Presets. RIGHT Click on the Presets folder and select Import Preset.
ECHO Navigate to the C:\Program Files\Adobe\Adobe Premiere Pro CC\Presets
ECHO folder and you will see Twitch.prfpset file. Click on Twitch.prfpset
ECHO and select open and the Twitch Presets will now be in the Presets
ECHO folder.
ECHO.
ECHO.
ECHO.
PAUSE
GOTO CC
::
::
REM ***************************************************************************
::
::
REM Install Twitch into After Effects CC
:AECC
::
REM     Check for CC Folder
IF not EXIST %AELOCCC  GOTO ERRORMSG1
REM     Make directory AE Twitch Presets in the Presets folder  
MKDIR %CCAE%
REM     Make directory in MediaCore for Twitch
MKDIR "C:\Program Files\Adobe\Common\Plug-ins\CC\MediaCore\Twitch"
REM     Clear Screen
CLS
ECHO.
ECHO.
ECHO.
REM     Copy the 64bit plugin to the MediaCore\Twitch directory
REM     Copy the twitch_ae.key and twitch.aex to the MeidaCore\Twitch directory
COPY /Y %KEY% %CCMediaCore%
::
:: Test to see if the file copied.
IF not EXIST %CCMediaCore%\twitch_ae.key  GOTO ERRORMSG1
::
COPY /Y %TWITCH%\twitch.aex %CCMediaCore%\twitch.aex
REM     Copy the Presets 
XCOPY /e /q %PRESET% %CCAE% /y
ECHO.
ECHO.
ECHO.
ECHO.
ECHO Twitch Has Been Installed for After Effect CC
ECHO.
ECHO.
ECHO.
PAUSE
REM       Return to Menu to selection another option or to exit.
GOTO CC
::
::





REM ***************************************************************************
::
::
REM       Install Twitch into Premiere Pro CC 2014
::
:PremCC4
REM     Check for CC 2014 Folder
IF not EXIST %CC4PREDIR%\PProHeadless.exe  GOTO ERRORMSG1
REM       Make the directory for Twitch in MediaCore
MKDIR "C:\Program Files\Adobe\Common\Plug-ins\CC 2014\MediaCore\Twitch"
CLS
ECHO.
ECHO.
ECHO.
REM     Copy the 64bit plugin to the MediaCore\Twitch directory
REM     Copy the twitch_ae.key and twitch.aex to the Premiere Twitch directory
COPY /Y %KEY% %CC4MediaCore%
::
:: Test to see if the file copied.
IF not EXIST %CC4MediaCore%\twitch_ae.key  GOTO ERRORMSG1
COPY /Y %TWITCH%\twitch.aex %CC4MediaCore%\twitch.aex
ECHO.
ECHO.
ECHO.
ECHO.
ECHO Twitch Has Been Installed for Adobe Premiere Pro CC 2014
ECHO.
ECHO.
ECHO.
PAUSE
REM       Return to Menu to selection another option or to exit.
GOTO CC
::
::
REM ***************************************************************************
::
::
REM Install Twitch Preset into Premiere CC 2014
:PSETCC4
CLS
IF not EXIST Twitch.prfpset  GOTO ERRORMSG2
COPY Twitch.prfpset %CC4Preset%\Twitch.prfpset /Y
IF not EXIST %CCPreset%\Twitch.prfpset  GOTO ERROMSG7
ECHO.
ECHO.
ECHO.
ECHO The Twitch Presets from Studio 1 Productions has been Installed.
ECHO.
ECHO Now start up Premiere, go into a project and then in the lower right
ECHO corner and click on the Effects tab. You will see a folder marked
ECHO Presets. RIGHT Click on the Presets folder and select Import Preset.
ECHO Navigate to the 
ECHO C:\Program Files\Adobe\Adobe Premiere Pro CC 2014\Presets
ECHO folder and you will see Twitch.prfpset file. Click on Twitch.prfpset
ECHO and select open and the Twitch Presets will now be in the Presets
ECHO folder.
ECHO.
ECHO.
ECHO.
PAUSE
GOTO CC
::
::
REM ***************************************************************************
::
::
REM Install Twitch into After Effects CC 2014
:AECC4
::
REM     Check for CC 2014 Folder
IF not EXIST %AELOCCC4  GOTO ERRORMSG1
REM     Make directory AE Twitch Presets in the Presets folder  
MKDIR %CC4AE%
REM     Make directory in MediaCore for Twitch
MKDIR "C:\Program Files\Adobe\Common\Plug-ins\CC 2014\MediaCore\Twitch"
REM     Clear Screen
CLS
ECHO.
ECHO.
ECHO.
REM     Copy the 64bit plugin to the MediaCore\Twitch directory
REM     Copy the twitch_ae.key and twitch.aex to the MeidaCore\Twitch directory
COPY /Y %KEY% %CC4MediaCore%
::
:: Test to see if the file copied.
IF not EXIST %CC4MediaCore%\twitch_ae.key  GOTO ERRORMSG1
::
COPY /Y %TWITCH%\twitch.aex %CC4MediaCore%\twitch.aex
REM     Copy the Presets 
XCOPY /e /q %PRESET% %CC4AE% /y
ECHO.
ECHO.
ECHO.
ECHO.
ECHO Twitch Has Been Installed for After Effect CC 2014
ECHO.
ECHO.
ECHO.
PAUSE
REM       Return to Menu to selection another option or to exit.
GOTO CC



REM ***************************************************************************
::
::
:ERRORMSG1
CLS
COLOR 47
ECHO.
ECHO.
ECHO.
ECHO ERROR - ERROR - ERROR - ERROR - ERROR
ECHO.
ECHO Twitch did NOT install properly. Try the following:
ECHO.
ECHO 1. Rerun the program and make sure you RIGHT click on the
ECHO program name and select Run as Adminstrator
ECHO.
ECHO 2. Make sure you selected the correct version of Adobe Products that
ECHO you are using. CS5, CS5.5, CS6, CC or CC 2014 in the Main Menu selection.
ECHO.
ECHO 3. Make sure you have copied this program into the Twitchv1.2 folder
ECHO and your are running the program from the Twitchv1.2 folder
ECHO.
ECHO. 
PAUSE
GOTO End
;;
;;
:ERRORMSG2
CLS
COLOR 47
ECHO.
ECHO.
ECHO.
ECHO ERROR - Could not find the file Twitch.XML
ECHO.
ECHO Please make sure the Twitch.XML file you downloaded from
ECHO Studio1Productions.com is located in the Twitchv1.2 folder
ECHO.
ECHO Make sure you have copied THIS program into the Twitchv1.2 folder
ECHO and your are running the program from the Twitchv1.2 folder
ECHO.
ECHO. 
PAUSE
GOTO End
;;
;;
:ERRORMSG3
CLS
COLOR 47
ECHO.
ECHO.
ECHO.
ECHO ERROR - Twitch Preset file did NOT copy properly to:
ECHO C:\Program Files\Adobe\Adobe Premiere Pro CS5\Presets
ECHO.
ECHO 1. Make sure you RIGHT clicked on this program filename and
ECHO selected Run As Adminstrator.
ECHO.
ECHO 2. You may need to turn off the User Account Control setting
ECHO If you don't know how to do this, go back to the article
ECHO at http://www.studio1productions.com/Articles/twitch.htm
ECHO and read the article.
ECHO.
ECHO. 
PAUSE
GOTO End
::
::
:ERRORMSG4
CLS
COLOR 47
ECHO.
ECHO.
ECHO.
ECHO ERROR - Twitch Preset file did NOT copy properly to:
ECHO C:\Program Files\Adobe\Adobe Premiere Pro CS5.5\Presets
ECHO.
ECHO 1. Make sure you RIGHT clicked on this program filename and
ECHO selected Run As Adminstrator.
ECHO.
ECHO 2. You may need to turn off the User Account Control setting
ECHO If you don't know how to do this, go back to the article
ECHO at http://www.studio1productions.com/Articles/twitch.htm
ECHO and read the article.
ECHO.
ECHO. 
PAUSE
GOTO End
::
::
:ERRORMSG5
CLS
COLOR 47
ECHO.
ECHO.
ECHO.
ECHO ERROR - Twitch Preset file did NOT copy properly to:
ECHO C:\Program Files\Adobe\Adobe Premiere Pro CS6\Presets
ECHO.
ECHO 1. Make sure you RIGHT clicked on this program filename and
ECHO selected Run As Adminstrator.
ECHO.
ECHO 2. You may need to turn off the User Account Control setting
ECHO If you don't know how to do this, go back to the article
ECHO at http://www.studio1productions.com/Articles/twitch.htm
ECHO and read the article.
ECHO.
ECHO. 
PAUSE
GOTO End
::
::
:ERRORMSG6
CLS
COLOR 47
ECHO.
ECHO.
ECHO.
ECHO ERROR - Twitch Preset file did NOT copy properly to:
ECHO C:\Program Files\Adobe\Adobe Premiere Pro CC\Presets
ECHO.
ECHO 1. Make sure you RIGHT clicked on this program filename and
ECHO selected Run As Adminstrator.
ECHO.
ECHO 2. You may need to turn off the User Account Control setting
ECHO If you don't know how to do this, go back to the article
ECHO at http://www.studio1productions.com/Articles/twitch.htm
ECHO and read the article.
ECHO.
ECHO. 
PAUSE
GOTO End
::
::
:ERRORMSG7
CLS
COLOR 47
ECHO.
ECHO.
ECHO.
ECHO ERROR - Twitch Preset file did NOT copy properly to:
ECHO C:\Program Files\Adobe\Adobe Premiere Pro CC 2014\Presets
ECHO.
ECHO 1. Make sure you RIGHT clicked on this program filename and
ECHO selected Run As Adminstrator.
ECHO.
ECHO 2. You may need to turn off the User Account Control setting
ECHO If you don't know how to do this, go back to the article
ECHO at http://www.studio1productions.com/Articles/twitch.htm
ECHO and read the article.
ECHO.
ECHO. 
PAUSE
GOTO End
REM ***************************************************************************
REM       Exit the program (Errorlevel 7 Option 7)
:End
EXIT
